Debian Bug report logs - #697595
ITA: openbox -- standards compliant, fast, light-weight,

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Nico Golde <nion@debian.org>

Date: Mon, 7 Jan 2013 13:03:02 UTC

Owned by: Mateusz Łukasik <mati75@linuxmint.pl>

Severity: normal

Merged with 566900

Fixed in version openbox/3.5.0-8

Done: Mateusz Łukasik <mati75@linuxmint.pl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#697595; Package wnpp. (Mon, 07 Jan 2013 13:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nico Golde <nion@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Mon, 07 Jan 2013 13:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nico Golde <nion@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: openbox -- standards compliant, fast, light-weight, extensible window manager
Date: Mon, 07 Jan 2013 14:01:59 +0100
Package: wnpp
Severity: normal

I intend to orphan the openbox package.

The package description is:
 Openbox works with your applications, and makes your desktop easier to manage.
 This is because the approach to its development was the opposite of what seems
 to be the general case for window managers.  Openbox was written first to
 comply with standards and to work properly.  Only when that was in place did
 the team turn to the visual interface.
 .
 Openbox is fully functional as a stand-alone working environment, or can be
 used as a drop-in replacement for the default window manager in the GNOME or
 KDE desktop environments.
 .
 Openbox 3 is a completely new breed of window manager.  It is not based upon
 any existing code base, although the visual appearance has been based upon
 that of Blackbox.  Openbox 2 was based on the Blackbox 0.65.0 codebase.
 .
 Some of the things to look for in Openbox are:
 .
  * ICCCM and EWMH compliance!
  * Very fast
  * Chainable key bindings
  * Customizable mouse actions
  * Window resistance
  * Multi-head Xinerama support!
  * Pipe menus

I repeatedly asked for help (RFH) with little to no effect. Also Daniel Baumann
raised interest to take over the package before I orphan it, but never stepped up
and did so.

Someone please give this package some love, I do no longer feel responsible for 
it and I also do not use openbox anymore.

Cheers
Nico



Merged 566900 697595 Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Fri, 11 Jan 2013 04:39:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: openbox -- standards compliant, fast, light-weight,' from 'O: openbox -- standards compliant, fast, light-weight, extensible window manager' Request was from Mateusz Łukasik <mati75@linuxmint.pl> to control@bugs.debian.org. (Thu, 18 Jul 2013 19:51:09 GMT) Full text and rfc822 format available.

Owner recorded as Mateusz Łukasik <mati75@linuxmint.pl>. Request was from Mateusz Łukasik <mati75@linuxmint.pl> to control@bugs.debian.org. (Thu, 18 Jul 2013 19:51:10 GMT) Full text and rfc822 format available.

Message #12 received at 566900-close@bugs.debian.org (full text, mbox):

From: Mateusz Łukasik <mati75@linuxmint.pl>
To: 566900-close@bugs.debian.org
Subject: Bug#566900: fixed in openbox 3.5.0-8
Date: Tue, 23 Jul 2013 10:33:26 +0000
Source: openbox
Source-Version: 3.5.0-8

We believe that the bug you reported is fixed in the latest version of
openbox, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566900@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mateusz Łukasik <mati75@linuxmint.pl> (supplier of updated openbox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 23 Jul 2013 08:37:08 +0200
Source: openbox
Binary: openbox libobt0 libobrender27 openbox-dev
Architecture: source amd64
Version: 3.5.0-8
Distribution: unstable
Urgency: low
Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
Changed-By: Mateusz Łukasik <mati75@linuxmint.pl>
Description: 
 libobrender27 - rendering library for openbox themes
 libobt0    - parsing library for openbox
 openbox    - standards-compliant, fast, light-weight, extensible window manage
 openbox-dev - development files for the openbox window manager
Closes: 566900 644628 647427 658081 695432 704724 705793 709439
Changes: 
 openbox (3.5.0-8) unstable; urgency=low
 .
   * New maintainer. (Closes: #566900)
   * Bump standard version and compat.
   * Add python-xdg to dependences:
     + Fix XDG_DATA_DIRS not set when using openbox-gnome-session,
       (Closes: #647427)
     + Fix openbox: missing dependency: python-xdg. (Closes: #695432)
   * Update config files:
     + Add debian/patches/704724_fix_refers-to-autostart.sh.patch to fix
       openbox-session(1) refers to autostart.sh files, (Closes: #704724)
     + Add debian/patches/644628_fix_autostart.patch to fix openbox: Please
       provide a way to disable openbox-xdg-autostart via config file.
       (Closes: #644628)
   * Remove support for gdm-control and gnome-panel-control to fix
     openbox: gdm-control fails to execute. (Closes: #705793)
   * Add 91_fix_loose_focus.patch: From upstream, focus the windows when the
      execute action is run. (Closes: #709439)
   * Add patches from Arch Linux:
     + openbox-3.5.0-which-2.20.patch,
     + openbox-3.5.0-title-matching.patch.
   * Add 658081_fix_kde_menu.patch:
     + fix bad KDE menu placement when running a KDE/Openbox
     session (Closes: #658081)
   * Add add_automake1.11_support.patch: From upstream, add support
     automake 1.11 and newest.
   * Switch to Vcs-Git.
Checksums-Sha1: 
 dc66cd7d55222f715429f3255ea1461f52208e6a 2194 openbox_3.5.0-8.dsc
 3c3b8d2bc4f4e229871254e92d6b18639be00302 911834 openbox_3.5.0.orig.tar.gz
 19a7a8a11d4b9053eba82e76c65b39a7851940e6 45505 openbox_3.5.0-8.debian.tar.gz
 3cc5eddd158a34b0d3f17db38fcc166e61e65941 332702 openbox_3.5.0-8_amd64.deb
 5ca9f29476b1918aa424e7c9178c3249b80de450 66308 libobt0_3.5.0-8_amd64.deb
 c663de760e253cc6da857c57b729d9e565630a31 78480 libobrender27_3.5.0-8_amd64.deb
 e17649e385a6b708d50852e8f52408d7888d723d 125054 openbox-dev_3.5.0-8_amd64.deb
Checksums-Sha256: 
 8ee1c81a965bf576031afc9a17940b52ea08a7637768873bfd28b06099be977c 2194 openbox_3.5.0-8.dsc
 6fa90016530b3aa6102e254079461977439398531fb23e7ec076ff2c140fea0a 911834 openbox_3.5.0.orig.tar.gz
 fcc3d4fecef806ad1bf0f6008e29082c2e59fb2e20e7c8370621b3db2c972036 45505 openbox_3.5.0-8.debian.tar.gz
 b7f6f54c39d278f483d69d25391221968941efb7b8572dc0302f6380a10accda 332702 openbox_3.5.0-8_amd64.deb
 ae94efe60276ecf3237e1ae13954679f5abc2f9a234d5ad2fb2c17035674a334 66308 libobt0_3.5.0-8_amd64.deb
 35585a5beec68167c892c300e83a7a6c1f8430dc31a0522960069c36c1c42ab8 78480 libobrender27_3.5.0-8_amd64.deb
 607b79e99b6181a6a1871b990b8c43ae298964845ccfc0d9696823d23d27c201 125054 openbox-dev_3.5.0-8_amd64.deb
Files: 
 d19fbe91f66bfb5773d832970b5c3dca 2194 x11 optional openbox_3.5.0-8.dsc
 00441b53cf14c03566c8e82643544ff9 911834 x11 optional openbox_3.5.0.orig.tar.gz
 400e10de3768626e6712b4d4bf594ff4 45505 x11 optional openbox_3.5.0-8.debian.tar.gz
 3a95a47283f1a1e5cdcd07d5188420b5 332702 x11 optional openbox_3.5.0-8_amd64.deb
 f6a649ab0a51d5f927e4c5b49c4e5a99 66308 libs optional libobt0_3.5.0-8_amd64.deb
 094a1cff7d5173d83ace21aa1755cd51 78480 libs optional libobrender27_3.5.0-8_amd64.deb
 45586e8e393bf66052e2e42bbfd5b76c 125054 libdevel optional openbox-dev_3.5.0-8_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJR7litAAoJEHQmOzf1tfkTz/QP/0LnywkrCYYb/mI23MDaldIQ
Pn93/l1X48tkK/SVmkYWbKh5xjKxPI8j67dGcH8z6tXfh59OH69aU4zhIRpEfjU7
3e9c+kdGKB4lXD080uRhvyet6EKX9I1wmb/o1LFuFha36n8NlAuCGQEHX/1/IxlI
7kZlTIuS/VBuPMk5SaHrxy8dW7M14vLXJG5TBzEUin3hLfGGJbpDYB7gz9g7z3Zk
KN8sxnP+9tuVh2FMDoUI/GNrZ0wkQ8bxU7JPFu0YbUHsLcxFdGHDMIcK/CugBgIJ
T2krr4ORp4m73cT3d3hAc3wEADKKlJQhUWajbd+SxENKHhEtCdHNZRcdcC2AUNy1
yJw8JH/cl+53Iv7AE0Qg7BthrzLzEc9489LaS8e5AkY9H5PI0je/8lUfAxiEe6xe
n32BT4Z+enA7OfHm8jdcViVaKvdbxOyEl5wUkUGj9FkKRsnIXFrVRxSSJxyRklU/
aLT9l8/6PbVD6ln7FTLhPQ+4O0YjmoQxoDmWUMRA37ZpKILQs4fW3blkQldCWf9k
KRcrml2DbVhdnKnGPprFDWxWHX+ensxGZDXNyqIKWaOfHMwsuyTqFI/yaM7IkPQQ
MpSD3h9bSdw+OoovzL5NvZAzydugZuh4AHO4s1m0vYemgeZAsICKmietZamucbMM
R3jMGeP4Wdml1gsoENVC
=Jsjq
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 21 Aug 2013 07:25:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:34:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.